X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Catalan language xpi file is corrupted in firefox 18.0

Posted

When firefox updates to 18.0 version in UBUNTU 12.04 and 12.10 64 bits system, menu language is changed from catalan to english. If you try to download and install the catalan xpi file, firefox rejects to install it becouse it's corrupted.

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.2 r202
  • This plug-in detects the presence of iTunes when opening iTunes Store URLs in a web page with Firefox.
  • This plugin provides integration with Gnome Shell for live extension enabling and disabling. It can be used only by extensions.gnome.org
  • The IcedTea-Web Plugin executes Java applets.
  • The Totem 3.4.3 plugin handles video and audio streams.
  • DivX Web Player version 1.4.0.233
  • Version 2.0.4 Twoflower, copyright 1996-2011 VideoLAN and Authorshttp://www.videolan.org/vlc/

Application

  • User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:18.0) Gecko/20100101 Firefox/18.0

More Information

cor-el
  • Top 10 Contributor
  • Moderator
10744 solutions 96670 answers

Helpful Reply

Yes, there appears to be an error in the install.rdf file caused by to empty lines at the start of the file.

Error: XML or text declaration not at start of entity
Source File: jar:file:///home/dick/.mozilla/firefox/kd18lsbf.testRE/extensions/langpack-ca@firefox.mozilla.org.xpi!/install.rdf
Line: 3, Column: 1
Source Code:
<?xml version="1.0"?>

Editing the install.rdf file and removing the two lines makes it possible to install the Catalan (ca) language pack for now.


  • bug 829246 - Malformed install.rdf for Catalan xpi in Firefox 18

(please do not comment in bug reports: https://bugzilla.mozilla.org/page.cgi?id=etiquette.html)

Modified by cor-el